<ion-header>
  <ion-toolbar>
    <ion-title>CREATE ACCOUNT</ion-title>
  </ion-toolbar>
</ion-header>

  <ion-grid>
    <ion-row>
      <ion-col size="12">
        <ion-card [ngStyle]="{'border-top':'5px solid #2f78df'}">
          <ion-row>
            
            <ion-col size ="12">
              <ion-button [routerLink]="['/login']" [ngStyle]="{'float':'left'}" fill="clear" ><ion-icon name="chevron-back-circle"></ion-icon></ion-button>
            </ion-col>

            <ion-col size ="12" class="ion-text-center">
              <ion-label [ngStyle]="{'font-size':'30px', 'font-weight':'1000', 'color':'#746455'}">Sign up!</ion-label>
              <ion-card-subtitle color="dark"><i>Medicine at your Door Step</i></ion-card-subtitle>
            </ion-col>

              <ion-col size="12">
                <div>
                  <ion-item id="log-input" lines="none">
                    <ion-input placeholder="Email Address" type="email" [(ngModel)]="form.email_address">  
                      <ion-label><ion-icon name="person-circle-outline" size="large"></ion-icon></ion-label>
                    </ion-input>
                  </ion-item>
                </div>
              </ion-col>
              
              <ion-col size="12">
                <div>
                  <ion-item id="log-input" lines="none">
                    <ion-input placeholder="Password" type="password" [(ngModel)]="form.password">
                      <ion-label><ion-icon name="lock-closed" size="large"></ion-icon></ion-label>
                    </ion-input>
                  </ion-item>
                </div>
              </ion-col> 

              <ion-col size="12">
                <div>
                  <ion-item id="log-input" lines="none">
                    <ion-input placeholder="Repeat Password" type="password" [(ngModel)]="form.repeatpassword">
                      <ion-label><ion-icon name="lock-closed" size="large"></ion-icon></ion-label>
                    </ion-input>
                  </ion-item>
                </div>
              </ion-col> 

              <ion-col size="12">
                <div>
                  <ion-item id="log-input" lines="none">
                    <ion-input placeholder="First name" [(ngModel)]="form.firstname">
                      <ion-label><ion-icon name="person-circle-outline" size="large"></ion-icon></ion-label>
                    </ion-input>
                  </ion-item>
                </div>
              </ion-col>   

          <ion-col size="12">
            <div>
              <ion-item id="log-input" lines="none">
                <ion-input placeholder="Middle Initial" [(ngModel)]="form.middle">
                  <ion-label><ion-icon name="person-circle-outline" size="large"></ion-icon></ion-label>
                </ion-input>
              </ion-item>
            </div>
          </ion-col>  
          <ion-col size="12">
            <div>

              <ion-item id="log-input" lines="none">
                <ion-input placeholder="Last name" [(ngModel)]="form.lastname">
                  <ion-label><ion-icon name="person-circle-outline" size="large"></ion-icon></ion-label>
                </ion-input>
              </ion-item>
            </div>
          </ion-col> 

          <ion-col size="12">
            <div class="ion-text-center">
              <ion-button [routerLink]="['/login']" shape="round" class="log-btn" (click)="print()">Register</ion-button>
            </div>
          </ion-col>
          </ion-row>
      </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>

    


  
  